<?php

add_action( 'admin_menu', 'swimming_pool_cleaning_gettingstarted' );
function swimming_pool_cleaning_gettingstarted() {    	
	add_theme_page( esc_html__('About Theme', 'swimming-pool-cleaning'), esc_html__('About Theme', 'swimming-pool-cleaning'), 'edit_theme_options', 'swimming-pool-cleaning-guide-page', 'swimming_pool_cleaning_guide');   
}

function swimming_pool_cleaning_admin_theme_style() {
   wp_enqueue_style('swimming-pool-cleaning-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/dashboard/get_started_info.css');
}
add_action('admin_enqueue_scripts', 'swimming_pool_cleaning_admin_theme_style');

function swimming_pool_cleaning_notice(){
    global $pagenow;
    if ( is_admin() && ('themes.php' == $pagenow) && isset( $_GET['activated'] ) ) {?>
    <div class="notice notice-success is-dismissible getting_started">
		<div class="notice-content">
			<h2><?php esc_html_e( 'Thanks for installing Swimming Pool Cleaning, you rock!', 'swimming-pool-cleaning' ) ?> </h2>
			<p><?php esc_html_e( 'Take benefit of a variety of features, functionalities, elements, and an exclusive set of customization options to build your own professional automobile website. Please Click on the link below to know the theme setup information.', 'swimming-pool-cleaning' ) ?></p>
			<p><a href="<?php echo esc_url( admin_url( 'themes.php?page=swimming-pool-cleaning-guide-page' ) ); ?>" class="button button-primary"><?php esc_html_e( 'Getting Started', 'swimming-pool-cleaning' ); ?></a></p>
		</div>
	</div>
	<?php }
}
add_action('admin_notices', 'swimming_pool_cleaning_notice');

/**
 * Theme Info Page
 */
function swimming_pool_cleaning_guide() {

	// Theme info
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'swimming-pool-cleaning' ); ?>

	<div class="wrap getting-started">
		<div class="getting-started__header">
			<div class="row">
				<div class="col-md-5 intro">
					<div class="pad-box">
						<h2><?php esc_html_e( 'Welcome to Swimming Pool Cleaning', 'swimming-pool-cleaning' ); ?></h2>
						<p>Version: <?php echo esc_html($theme['Version']);?></p>
						<span class="intro__version"><?php esc_html_e( 'Congratulations! You are about to use the most easy to use and flexible WordPress theme.', 'swimming-pool-cleaning' ); ?>	
						</span>
						<div class="powered-by">
							<p><strong><?php esc_html_e( 'Theme created by Buy WP Templates', 'swimming-pool-cleaning' ); ?></strong></p>
							<p>
								<img class="logo" src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/theme-logo.png'); ?>"/>
							</p>
						</div>
					</div>
				</div>
				<div class="col-md-7">
					<div class="pro-links">
				    	<a href="<?php echo esc_url( SWIMMING_POOL_CLEANING_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'swimming-pool-cleaning'); ?></a>
						<a href="<?php echo esc_url( SWIMMING_POOL_CLEANING_BUY_PRO ); ?>" target="_blank"><?php esc_html_e('Buy Pro', 'swimming-pool-cleaning'); ?></a>
						<a href="<?php echo esc_url( SWIMMING_POOL_CLEANING_PRO_DOC ); ?>" target="_blank"><?php esc_html_e('Pro Documentation', 'swimming-pool-cleaning'); ?></a>
					</div>
					<div class="install-plugins">
						<img src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/responsive1.png'); ?>" alt="" />
					</div>
				</div>
			</div>
			<h2 class="tg-docs-section intruction-title" id="section-4"><?php esc_html_e( '1). Setup Swimming Pool Cleaning Theme', 'swimming-pool-cleaning' ); ?></h2>
			<div class="row">
				<div class="theme-instruction-block col-md-7">
					<div class="pad-box">
	                    <p><?php esc_html_e( 'Swimming Pool Cleaning is a perfect theme for deep sea diving pool, renovation, cleansing agency, scuba diving, scuba add-ons store, sea snorkeling, water sports, journey sports, Canoe and Kayak Rentals, and Skiing Instruction. This theme will cowl virtually every component of your swimming business. The theme is packed with an excellent timetable responsive schedule for WordPress plugin that will assist you in creating weekly timetables and single tournament pages. Besides realistic factors such as the BMI calculator, this theme consists of a giant set of fitness, go-match, and activity layouts that are utterly bendy and handy to customize. Swimming Pool Cleaning is made for boat home booking, sea diving instructors, underwater sports, shopping, and browsing Websites! The fully responsive plan appears splendid on cell and pill devices. The Swimming Pool Cleaning comes with a built-in drag-and-drop web page builder. You can make the internet site introduction an entire lot easier. Easy to edit modules, Mega Menu, Sticky Navigation, Mobile Navigator for Smart Phones, Blog web page with comments, filterable portfolio with important points web page variations, responsive Short-codes, and working contact structure web page with the map. Mega pack template for your internet site to galvanize your website visitors.', 'swimming-pool-cleaning' ); ?><p><br>
						<ol>
							<li><?php esc_html_e( 'Start','swimming-pool-cleaning'); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizing','swimming-pool-cleaning'); ?></a> <?php esc_html_e( 'your website.','swimming-pool-cleaning'); ?> </li>
							<li><?php esc_html_e( 'Swimming Pool Cleaning','swimming-pool-cleaning'); ?> <a target="_blank" href="<?php echo esc_url( SWIMMING_POOL_CLEANING_FREE_DOC ); ?>"><?php esc_html_e( 'Documentation','swimming-pool-cleaning'); ?></a> </li>
						</ol>
                    </div>
              	</div>
				<div class="col-md-5">
					<div class="pad-box">
              			<img class="logo" src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/screenshot.png'); ?>"/>
              		 </div> 
              	</div>
            </div>
			<div class="col-md-12 text-block">
					<h2 class="dashboard-install-title"><?php esc_html_e( '2.) Premium Theme Information.','swimming-pool-cleaning'); ?></h2>
					<div class="row">
						<div class="col-md-7">
							<img src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/responsive.png'); ?>" alt="">
							<div class="pad-box">
								<h3><?php esc_html_e( 'Pro Theme Description','swimming-pool-cleaning'); ?></h3>
	                    		<p class="pad-box-p"><?php esc_html_e( 'Our premium Swimming Pool WordPress Theme affords first-rate in-type features. It has distinctly useful plug-ins. It is customizable, which lets you modify your theme besides writing a single line of code. Its couple of web page layouts, responsiveness, pagination, footer customization option, WooCommerce assist, etc., make it a totally practical theme. Its superior points, like being retina-ready, parallax and favicon, and brand and title customization, get it the front seat amongst its competing themes. It has social media sharing facility provided. We don’t simply do business; we take care of each and every want of yours. That is why we furnish full help even after furnishing our theme. Our professionals are constantly reachable at your carrier to assist you with any trouble you face. Not simply that our theme comes with full documentation that even a naïve character can personalize, barring having to write any code. When you can have the great, then why compromise with something less? So install our Swimming Pool WordPress Theme and let it do all the online features of your commercial enterprise for you.', 'swimming-pool-cleaning' ); ?><p>
	                    	</div>
						</div>
						<div class="col-md-5 install-plugin-right">
							<div class="pad-box">								
								<h3><?php esc_html_e( 'Pro Theme Features','swimming-pool-cleaning'); ?></h3>
								<div class="dashboard-install-benefit">
									<ul>
										<li><?php esc_html_e( 'Car listing Shortcode with category','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Car listing Shortcode','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Multiple image feature for each property with slider.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Brand Listing Section','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Car Brand(categories) Option','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Car Tags(categories) Option','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Testimonial listing.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Testimonial shortcode.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Social icons widget.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Latest post with the image widget.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Live customize editor for the About US section.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Font Awesome integrated.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Advanced Color options and color pallets.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( '100+ Font Family Options.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Enable-Disable options on All sections.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Well sanitized as per WordPress standards.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Allow to set site title, tagline, logo.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Sticky post & Comment threads.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Left and Right Sidebar.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Customizable Home Page.','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Footer Widgets & Editor style','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Gallery & Banner functionality','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Multiple inner page templates','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Full-width Template','swimming-pool-cleaning'); ?></li>
										<li><?php esc_html_e( 'Custom Menu, Colors Editor','swimming-pool-cleaning'); ?></li>
									</ul>
								</div>
							</div>
						</div>
				</div>
			</div>
		</div>
		<div class="dashboard__blocks">
			<div class="row">
				<div class="col-md-3">
					<h3><?php esc_html_e( 'Get Support','swimming-pool-cleaning'); ?></h3>
					<ol>
						<li><a target="_blank" href="<?php echo esc_url( SWIMMING_POOL_CLEANING_FREE_SUPPORT ); ?>"><?php esc_html_e( 'Free Theme Support','swimming-pool-cleaning'); ?></a></li>
						<li><a target="_blank" href="<?php echo esc_url( SWIMMING_POOL_CLEANING_PRO_SUPPORT ); ?>"><?php esc_html_e( 'Premium Theme Support','swimming-pool-cleaning'); ?></a></li>
					</ol>
				</div>

				<div class="col-md-3">
					<h3><?php esc_html_e( 'Getting Started','swimming-pool-cleaning'); ?></h3>
					<ol>
						<li><?php esc_html_e( 'Start','swimming-pool-cleaning'); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizing','swimming-pool-cleaning'); ?></a> <?php esc_html_e( 'your website.','swimming-pool-cleaning'); ?> </li>
					</ol>
				</div>
				<div class="col-md-3">
					<h3><?php esc_html_e( 'Help Docs','swimming-pool-cleaning'); ?></h3>
					<ol>
						<li><a target="_blank" href="<?php echo esc_url( SWIMMING_POOL_CLEANING_FREE_DOC ); ?>"><?php esc_html_e( 'Free Theme Documentation','swimming-pool-cleaning'); ?></a></li>
						<li><a target="_blank" href="<?php echo esc_url( SWIMMING_POOL_CLEANING_PRO_DOC ); ?>"><?php esc_html_e( 'Premium Theme Documentation','swimming-pool-cleaning'); ?></a></li>
					</ol>
				</div>
				<div class="col-md-3">
					<h3><?php esc_html_e( 'Buy Premium','swimming-pool-cleaning'); ?></h3>
					<ol>
						<a href="<?php echo esc_url( SWIMMING_POOL_CLEANING_BUY_PRO ); ?>" target="_blank"><?php esc_html_e('Buy Pro', 'swimming-pool-cleaning'); ?></a>
					</ol>
				</div>
			</div>
		</div>
	</div>

<?php }?>