<?php
/**
 * The template for displaying search forms in Swimming Pool Cleaning
 * @package Swimming Pool Cleaning
 */
?>

<form method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<label>
		<span class="screen-reader-text"><?php echo esc_html_x( 'Search for:', 'label', 'swimming-pool-cleaning' ); ?></span>
		<input type="search" class="search-field" placeholder="<?php echo esc_attr( get_theme_mod('swimming_pool_cleaning_search_placeholder', __('Search', 'swimming-pool-cleaning')) ); ?>" value="<?php echo esc_attr( get_search_query()) ?>" name="s">
	</label>
	<input type="submit" class="search-submit" value="<?php echo esc_attr_x( 'Search', 'submit button','swimming-pool-cleaning' ); ?>">
</form>