<?php
/**
 * The template part for displaying image post
 * @package Swimming Pool Cleaning
 * @subpackage swimming_pool_cleaning
 * @since 1.0
 */

$swimming_pool_cleaning_archive_year  = get_the_time('Y'); 
$swimming_pool_cleaning_archive_month = get_the_time('m'); 
$swimming_pool_cleaning_archive_day   = get_the_time('d');

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
  <div class="box-image">
    <?php 
      if(has_post_thumbnail()) { 
        the_post_thumbnail(); 
      }
    ?>
  </div>
  <h2><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
  <?php if( get_theme_mod('swimming_pool_cleaning_metafields_date', true) != '' || get_theme_mod('swimming_pool_cleaning_metafields_author', true) != '' || get_theme_mod('swimming_pool_cleaning_metafields_comment', true) != '' || get_theme_mod('swimming_pool_cleaning_metafields_time', true) != '' &&  get_theme_mod('swimming_pool_cleaning_display_post_date', true) != '' || get_theme_mod('swimming_pool_cleaning_display_post_author', true) != '' || get_theme_mod('swimming_pool_cleaning_display_post_comment', true) != '' || get_theme_mod('swimming_pool_cleaning_display_post_time', true) != ''){ ?>
      <div class="metabox mb-3">
        <?php if( get_theme_mod( 'swimming_pool_cleaning_metafields_date',true) != '' || get_theme_mod( 'swimming_pool_cleaning_display_post_date',true) != '') { ?>
          <span class="entry-date me-3"><i class="<?php echo esc_attr(get_theme_mod('swimming_pool_cleaning_post_date_icon','far fa-calendar-alt')); ?> me-1"></i> <a href="<?php echo esc_url( get_day_link( $swimming_pool_cleaning_archive_year, $swimming_pool_cleaning_archive_month, $swimming_pool_cleaning_archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></span><?php echo esc_html( get_theme_mod('swimming_pool_cleaning_blog_post_meta_seperator') ); ?>
        <?php }?>
        <?php if( get_theme_mod( 'swimming_pool_cleaning_metafields_author',true) != '' || get_theme_mod( 'swimming_pool_cleaning_display_post_author',true) != '') { ?>
          <span class="entry-author me-3"><i class="<?php echo esc_attr(get_theme_mod('swimming_pool_cleaning_post_author_icon','fas fa-user')); ?> me-1"></i> <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></span><?php echo esc_html( get_theme_mod('swimming_pool_cleaning_blog_post_meta_seperator') ); ?>
        <?php }?>
        <?php if( get_theme_mod( 'swimming_pool_cleaning_metafields_comment',true) != '' || get_theme_mod( 'swimming_pool_cleaning_display_post_comment',true) != '') { ?>
          <span class="entry-comments me-3"><i class="<?php echo esc_attr(get_theme_mod('swimming_pool_cleaning_post_comment_icon','fas fa-comments')); ?> me-1"></i> <?php comments_number( __('0 Comment', 'swimming-pool-cleaning'), __('0 Comments', 'swimming-pool-cleaning'), __('% Comments', 'swimming-pool-cleaning') ); ?></span>
        <?php }?>
        <?php if( get_theme_mod( 'swimming_pool_cleaning_metafields_time',false) != '' || get_theme_mod( 'swimming_pool_cleaning_display_post_time',false) != '') { ?>
          <span class="entry-time me-3"><i class="<?php echo esc_attr(get_theme_mod('swimming_pool_cleaning_post_time_icon','fas fa-clock')); ?> me-1"></i> <?php echo esc_html( get_the_time() ); ?></span>
        <?php }?>
      </div>
    <?php }?>
  <div class="new-text">
    <?php $swimming_pool_cleaning_theme_lay = get_theme_mod( 'swimming_pool_cleaning_content_settings','Excerpt');
    if($swimming_pool_cleaning_theme_lay == 'Content'){ ?>
      <?php the_content(); ?>
    <?php }
    if($swimming_pool_cleaning_theme_lay == 'Excerpt'){ ?>
      <?php if(get_the_excerpt()) { ?>
        <?php $swimming_pool_cleaning_excerpt = get_the_excerpt(); echo esc_html( swimming_pool_cleaning_string_limit_words( $swimming_pool_cleaning_excerpt, esc_attr(get_theme_mod('swimming_pool_cleaning_post_excerpt_number','30')))); ?> <?php echo esc_html( get_theme_mod('swimming_pool_cleaning_post_discription_suffix','[...]') ); ?>
      <?php }?>
    <?php }?>
  </div> 
  <?php if( get_theme_mod('swimming_pool_cleaning_button_text','View More') != ''){ ?>
    <div class="postbtn mt-4 text-start">
      <a href="<?php the_permalink(); ?>"><?php echo esc_html(get_theme_mod('swimming_pool_cleaning_button_text','View More'));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('swimming_pool_cleaning_button_text','View More'));?></span></a>
    </div>
  <?php }?>
</article>